<?
//Peer: type of peer (iax or sip)
DEFINE("SIP_PROTOCOL",  1);
DEFINE("IAX_PROTOCOL",  2);
DEFINE("ALL_PROTOCOL",  "");

//Entity: type of entries
DEFINE("SIP_CLIENT",    1);
DEFINE("SIP_PROVIDER",  2);
DEFINE("IAX_CLIENT",    3);
DEFINE("IAX_DEPARTMENT",4);
DEFINE("ISDN_PROVIDER", 5);
DEFINE("PHONENUMBER",   6);
DEFINE("QUEUE",         7);

//Entity_extensions: extensions Type
DEFINE("SIP_CLIENT_EXTENSION",  1);
DEFINE("SIP_CLIENT_NICKNAME",   2);
DEFINE("IAX_CLIENT_EXTENSION",  3);
DEFINE("IAX_CLIENT_NICKNAME",   4);
DEFINE("IAX_DEP_EXTENSION",     5);
DEFINE("IAX_DEP_NICKNAME",      6);
DEFINE("IAX_DEP_NICKNAME2",     7);
DEFINE("ISDN_RESOURCE_EXTENSION",8);
DEFINE("SIP_RESOURCE_EXTENSION",9);
DEFINE("PHONENUMBER_EXTENSION",10);
DEFINE("IVR_BACKGROUND", 11);
DEFINE("IVR_DIAL", 12);
DEFINE("IVR_ENQUEUE", 13);
DEFINE("IVR_GOTO", 14);
DEFINE("IVR_MACRO", 17);
DEFINE("INCLUDE_CONTEXT", 15);
DEFINE("PHONENUMBER_EMERGENCY_EXTENSION",16);

//Password encryption type
DEFINE("PLAIN",  1);
DEFINE("MD5",   2);
DEFINE("RSA",  3);

//Groups
DEFINE("GROUP_OF_CLIENT",     1);
DEFINE("GROUP_OF_DEPARTMENT", 2);
DEFINE("GROUP_OF_RESOURCE",   3);
DEFINE("GROUP_OF_PHONENUMBER",4);

//Options
DEFINE("OPTION_ISDN",        "isdn");
DEFINE("OPTION_ISDN_GROUPS", "isdn_general");
DEFINE("OPTION_LAN",         "lan");
DEFINE("OPTION_SIP",         "sip");
DEFINE("OPTION_IAX",         "iax");

//Action
DEFINE("ACTION_GROUP",       1);
DEFINE("ACTION_QUEUE",       2);
DEFINE("ACTION_IVR",         3);
DEFINE("ACTION_FAX",         4);

//Web User
DEFINE("USER_STANDARD",       1);
DEFINE("USER_CONFIGURATOR",   2);
DEFINE("USER_SUPERUSER",      3);


?>